ggodwin Posted February 22, 2012 Posted February 22, 2012 Guy's I am fabricating some race bicycles and want to make my drawing's look as real as possible. I need to be able to draw the curves where the weld lines will be. Do you know if Auto Cad has any special tool that will draw these for me? Something like this Thanks in advance. Quote
paulmcz Posted February 22, 2012 Posted February 22, 2012 You are out of luck with Autocad LT. Otherwise, draw it in 3D and make a flatshot of your joint. Quote
ReMark Posted February 22, 2012 Posted February 22, 2012 Or fudge it using an ellipse. Depends on whether this is just for looks or for accuracy. You're going to do this in 3D eventually aren't you? Quote
JD Mather Posted February 22, 2012 Posted February 22, 2012 This topic was covered in some detail in the past month or so. A search might turn up the thread. In AutoCAD 2007 or later (not LT) this technique might be useful http://home.pct.edu/~jmather/content/CAD238/AutoCAD%202007%20Tutorial%208.pdf but personally I would use the Frame Generator in Autodesk Inventor if you can gain access to it. Students can download Inventor for free from http://www.autodesk.com/edcommunity Quote
ggodwin Posted February 22, 2012 Author Posted February 22, 2012 I am just getting back into using Auto-Cad. I did some 3D stuff back when R13 was just introducing 3D in the early 90's. This is just to enhance the drawing look. I can fudge it and be fine. I was just hoping there was a tool available. I wish I had time to make the drawing in 3D. But, I need to go from drawing to completed bike in a month so no time to waste on not necessary drawings. Quote
ReMark Posted February 22, 2012 Posted February 22, 2012 Then why not do it in Inventor instead? Quote
ggodwin Posted February 22, 2012 Author Posted February 22, 2012 Then why not do it in Inventor instead? I will have to look into that. Frankly, I have no idea what it is. I am an Automotive Quality Engineer. As a hobby, I make these frames so I am not up on the newest methods and tools like I was when I was in Design in the Mid90's. Quote
ReMark Posted February 22, 2012 Posted February 22, 2012 Not a student then. That's too bad. What's the rush on the timeline? Did you promise someone a frame? How were you drawing these up previously? Quote
ggodwin Posted February 22, 2012 Author Posted February 22, 2012 Yes, my 10 year old son, My 4 year old daughter and two customers. I have to have them ready by the spring season. Just basic 2D lines. I dont need the mitre's but recently saw another frame drawing and liked the look. Also, the more real the design looks the more problems I can detect. (Hopefully) Here is the last one I did. I just need a drawing to set my jig up. But, would like to have a drawing that looks like the final product. Quote
paulmcz Posted February 22, 2012 Posted February 22, 2012 Years ago, I wrote a lisp routine just for this but I am afraid you'd have to use full autocad for that: (defun tan (xx) ; xx = angle measure in rad (/ (sin xx) (cos xx)) ) (defun c:tj (/ d1 d2 ud2 uu1 apdeg apr ap r1 r2 a b c d e f e1 cp1) (setq osn (getvar "osmode")) (setvar "cmdecho" 0) (setq oerr *error*) (defun *error* (msg) (setvar "osmode" osn) (princ "\n Function cancelled - Try again ") (setq *error* oerr) (command) (princ) ) (princ "\n Straight pipe diameter < ") (if dd1 (princ dd1) ; prints default value ) (princ " > ?? :") (setq d1 (getdist)) (if (= d1 nil) (setq d1 dd1) ) (setq dd1 d1) (princ "\n Branch pipe diameter < ") (if dd2 (princ dd2) ) ; prints default value (princ " > ?? :") (setq d2 (getdist)) (if (= d2 nil) (setq d2 dd2) ) (setq dd2 d2) (if (> d2 d1) (progn (alert " Branch pipe diameter must be equal or smaller than straight pipe\nSTART OVER" ) (^c^c) ) ) (if ud1 (setq ud2 (* (/ ud1 pi) 180)) ) (princ "\n Branch pipe entry angle < ") (if ud1 (princ ud2) ; prints default value ) (princ " > ?? : ") (setq uu1 (getangle)) (if (= uu1 nil) (setq uu1 ud1) ) (if (>= uu1 pi) (progn (alert "Angle must be smaller than 180 deg\nStart over") (c^c^)) ) (if (= uu1 0) (c^c^) ) (setq ud1 uu1) (setq u1 (* (/ uu1 pi) 180)) (setq apdeg 10.0) ;angle of precision (setq ap (/ (* apdeg pi) 180)) (setq apr ap) (setq ip (getpoint "\n Curve insertion (left endpoint): ")) (setq r1 (/ d1 2)) (setq r2 (/ d2 2)) (setq a (- r2 (* r2 (cos ap)))) (setq b (/ a (sin uu1))) (setq c (* r2 (sin ap))) (setq d (- r1 (sqrt (- (expt r1 2) (expt c 2))))) (setq f (- b (/ d (tan uu1)))) (setq cp1 (polar ip 0 f)) (setq p1 (polar cp1 (* pi 1.5) d)) (setvar "osmode" 0) (command "pline" ip "w" 0 0 p1 "") (setq e (entlast)) (setq ap (+ ap apr)) (while (< ap pi) (setq a (- r2 (* r2 (cos ap)))) (setq b (/ a (sin uu1))) (setq c (* r2 (sin ap))) (setq d (- r1 (sqrt (- (expt r1 2) (expt c 2))))) (setq f (- b (/ d (tan uu1)))) (setq cp1 (polar ip 0 f)) (setq p1 (polar cp1 (* pi 1.5) d)) (command "line" "" p1 "") (setq e1 (entlast)) (command "pedit" e "j" e1 "" c^c^) (setq ap (+ ap apr)) ) (command "pedit" e "f" "" c^c^) (setvar "osmode" osn) (command "rotate" e "" ip pause) ;(textscr) (princ "\n\n\n\n Straight pipe dia = ") (princ d1) (princ "\n Branch pipe dia = ") (princ d2) (princ "\n Branch pipe angle = ") (princ u1) ;(princ "\n\n\n For other variations contact author:") ;(princ "\n paulmcz@yahoo.com") (princ) ) (prompt "\n draws T or Y joint curve - perpendicular view. Type < tj >: " ) Quote
JD Mather Posted February 22, 2012 Posted February 22, 2012 Yes, my 10 year old son, .... Any student of any age anywhere in the world can download Autodesk products for free. Of course you can't use the free student license for the design for the two customers - only for teaching your children. Quote
mdbdesign Posted February 22, 2012 Posted February 22, 2012 Years ago, I wrote a lisp routine just for this but I am afraid you'd have to use full autocad for that:(defun tan (xx) ; xx = angle measure in rad (/ (sin xx) (cos xx)) ) (defun c:tj (/ d1 d2 ud2 uu1 apdeg apr ap r1 r2 a b c d e f e1 cp1) (setq osn (getvar "osmode")) (setvar "cmdecho" 0) (setq oerr *error*) (defun *error* (msg) (setvar "osmode" osn) (princ "\n Function cancelled - Try again ") (setq *error* oerr) (command) (princ) ) (princ "\n Straight pipe diameter < ") (if dd1 (princ dd1) ; prints default value ) (princ " > ?? :") (setq d1 (getdist)) (if (= d1 nil) (setq d1 dd1) ) (setq dd1 d1) (princ "\n Branch pipe diameter < ") (if dd2 (princ dd2) ) ; prints default value (princ " > ?? :") (setq d2 (getdist)) (if (= d2 nil) (setq d2 dd2) ) (setq dd2 d2) (if (> d2 d1) (progn (alert " Branch pipe diameter must be equal or smaller than straight pipe\nSTART OVER" ) (^c^c) ) ) (if ud1 (setq ud2 (* (/ ud1 pi) 180)) ) (princ "\n Branch pipe entry angle < ") (if ud1 (princ ud2) ; prints default value ) (princ " > ?? : ") (setq uu1 (getangle)) (if (= uu1 nil) (setq uu1 ud1) ) (if (>= uu1 pi) (progn (alert "Angle must be smaller than 180 deg\nStart over") (c^c^)) ) (if (= uu1 0) (c^c^) ) (setq ud1 uu1) (setq u1 (* (/ uu1 pi) 180)) (setq apdeg 10.0) ;angle of precision (setq ap (/ (* apdeg pi) 180)) (setq apr ap) (setq ip (getpoint "\n Curve insertion (left endpoint): ")) (setq r1 (/ d1 2)) (setq r2 (/ d2 2)) (setq a (- r2 (* r2 (cos ap)))) (setq b (/ a (sin uu1))) (setq c (* r2 (sin ap))) (setq d (- r1 (sqrt (- (expt r1 2) (expt c 2))))) (setq f (- b (/ d (tan uu1)))) (setq cp1 (polar ip 0 f)) (setq p1 (polar cp1 (* pi 1.5) d)) (setvar "osmode" 0) (command "pline" ip "w" 0 0 p1 "") (setq e (entlast)) (setq ap (+ ap apr)) (while (< ap pi) (setq a (- r2 (* r2 (cos ap)))) (setq b (/ a (sin uu1))) (setq c (* r2 (sin ap))) (setq d (- r1 (sqrt (- (expt r1 2) (expt c 2))))) (setq f (- b (/ d (tan uu1)))) (setq cp1 (polar ip 0 f)) (setq p1 (polar cp1 (* pi 1.5) d)) (command "line" "" p1 "") (setq e1 (entlast)) (command "pedit" e "j" e1 "" c^c^) (setq ap (+ ap apr)) ) (command "pedit" e "f" "" c^c^) (setvar "osmode" osn) (command "rotate" e "" ip pause) ;(textscr) (princ "\n\n\n\n Straight pipe dia = ") (princ d1) (princ "\n Branch pipe dia = ") (princ d2) (princ "\n Branch pipe angle = ") (princ u1) ;(princ "\n\n\n For other variations contact author:") ;(princ "\n paulmcz@yahoo.com") (princ) ) (prompt "\n draws T or Y joint curve - perpendicular view. Type < tj >: " ) I am afraid I got full version, thank you Paul for another time saver. Quote
Patrick Hughes Posted February 22, 2012 Posted February 22, 2012 You might have a look at Inventor Fusion - It is free for now but expires in May. I don't know what their plans are after that. It will save your files in .dwg format. There also is Autodesk 123D Quote
tzframpton Posted February 22, 2012 Posted February 22, 2012 Draftsight is a free AutoCAD alternative and does 3D. I've played with it before but never dove completely in as to do tube modeling, with solid edit commands like UNION, SUBTRACT, INTERFERE, etc... worth a shot though. Quote
JD Mather Posted February 22, 2012 Posted February 22, 2012 You might have a look at Inventor Fusion - It is free for now but expires in May. I don't know what their plans are after that. It will save your files in .dwg format. There also is Autodesk 123D Fusion will not do 2D drawings of the 3D model. I assume 2D documentation might be a part of this project. Quote
Patrick Hughes Posted February 22, 2012 Posted February 22, 2012 Fusion will not do 2D drawings of the 3D model. I assume 2D documentation might be a part of this project. I suppose since this is posted in AutoCAD 2D Drawing... right you are. But then since the OP has LT 2011 the resulting components could be brought in and detailed via viewports and such. Quote
paulmcz Posted February 22, 2012 Posted February 22, 2012 I am afraid I got full version, thank you Paul for another time saver. >>>>>>>>>>>>>>> Enjoy! Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.